Multiselect

Bootstrap Multiselect - free examples, templates & tutorial

Responsive Multiselect built with Bootstrap 5. Examples of multiselect dropdown with checkbox, listbox, search, buttons, groups, icons, validation, disabled

Unlike a standard Select, multiselect allows the user to select multiple options at once.

Note: To learn more about Select component and see all available options, methods, events and advanced usage - read Select Docs & API section


Basic example

Add multiple attribute to the select element to activate multiple mode.

Note: This component requires MDBootstrap Pro package.

        
            
          <select class="select" multiple>
            <option value="1">One</option>
            <option value="2">Two</option>
            <option value="3">Three</option>
            <option value="4">Four</option>
            <option value="5">Five</option>
            <option value="6">Six</option>
            <option value="7">Seven</option>
            <option value="8">Eight</option>
          </select>
          
        
    

Multiselect with label

It is possible to add select label by creating element with .form-label> and .select-label> classes.

        
            
          <select class="select" multiple>
            <option value="1">One</option>
            <option value="2">Two</option>
            <option value="3">Three</option>
            <option value="4">Four</option>
            <option value="5">Five</option>
          </select>
          <label class="form-label select-label">Example label</label>
          
        
    

Multiselect with placeholder

Use placeholder option to set placeholder for select input. The placeholder will be displayed when input is focused and no option is selected.

        
            
          <select class="select" multiple data-mdb-placeholder="Example placeholder" multiple>
            <option value="1">One</option>
            <option value="2">Two</option>
            <option value="3">Three</option>
            <option value="4">Four</option>
            <option value="5">Five</option>
          </select>
          
        
    

Disabled multiselect

Add disabled attribute to the select element to disable select input.

        
            
          <select class="select" multiple disabled>
            <option value="1">One</option>
            <option value="2">Two</option>
            <option value="3">Three</option>
            <option value="4">Four</option>
            <option value="5">Five</option>
          </select>
          
        
    

Disabled options

Use disabled attribute on option element to disable specific option.

        
            
          <select class="select" multiple>
            <option value="1">One</option>
            <option value="2" disabled>Two</option>
            <option value="3" disabled>Three</option>
            <option value="4">Four</option>
            <option value="5">Five</option>
          </select>
          
        
    

Clear button

Set clearButton option to true to display the button that will allow to clear current selections.

        
            
          <select class="select" multiple data-mdb-clear-button="true">
            <option value="1">One</option>
            <option value="2">Two</option>
            <option value="3">Three</option>
            <option value="4">Four</option>
            <option value="5">Five</option>
          </select>
          
        
    

Custom content

A custom content container with a class .select-custom-content will be displayed at the end of the select dropdown. In this example we've added a button.

        
            
          <select class="select" multiple>
            <option value="1">One</option>
            <option value="2">Two</option>
            <option value="3">Three</option>
            <option value="4">Four</option>
            <option value="5">Five</option>
          </select>
          <div class="select-custom-content">
            <button class="btn-save btn btn-primary btn-sm">Save</button>
          </div>
          
        
    

Visible options

Use visibleOptions option to change the number of options that will be displayed in the select dropdown without scrolling.

        
            
          <select class="select" multiple data-mdb-visible-options="3">
            <option value="1">One</option>
            <option value="2">Two</option>
            <option value="3">Three</option>
            <option value="4">Four</option>
            <option value="5">Five</option>
          </select>
          
        
    

Secondary text

Add secondary-text data attribute to the specific options to display secondary text.

        
            
          <select class="select" multiple data-mdb-option-height="44">
            <option value="1" data-mdb-secondary-text="Secondary text">One</option>
            <option value="2" data-mdb-secondary-text="Secondary text">Two</option>
            <option value="3" data-mdb-secondary-text="Secondary text">Three</option>
            <option value="4" data-mdb-secondary-text="Secondary text">Four</option>
            <option value="5" data-mdb-secondary-text="Secondary text">Five</option>
          </select>
          
        
    


Select with search inside a modal

Due to a focus trap in modals, it is not possible to focus the outer elements (like select dropdown). You can use select data-mdb-container option to resolve this problem.

The data-mdb-container accepts selector of the element inside of wich select dropdown will be rendered. In this case, the selector should point to the modal container (the element with class .modal). It is important to use a unique selector to assign select to a specific modal.

        
            
          <!-- Button trigger modal -->
          <button type="button" class="btn btn-primary" data-mdb-toggle="modal" data-mdb-target="#exampleModal">
            Launch demo modal
          </button>

          <!-- Modal -->
          <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel"
            aria-hidden="true">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                  <button type="button" class="btn-close" data-mdb-dismiss="modal" aria-label="Close"></button>
                </div>
                <form action="" method="post">
                  <div class="modal-body">
                    <select class="select" multiple data-mdb-container="#exampleModal" data-mdb-filter="true">
                      <option value="1">One</option>
                      <option value="2">Two</option>
                      <option value="3">Three</option>
                      <option value="4">Four</option>
                      <option value="5">Five</option>
                      <option value="6">Six</option>
                      <option value="7">Seven</option>
                      <option value="8">Eight</option>
                      <option value="9">Nine</option>
                      <option value="10">Ten</option>
                    </select>
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-mdb-dismiss="modal">
                      Close
                    </button>
                    <button type="submit" class="btn btn-primary">Save changes</button>
                  </div>
                </form>
              </div>
            </div>
          </div>
          
        
    

Option groups

It is possible to group options by using optgroup element.

        
            
          <select class="select" multiple>
            <optgroup label="Label 1">
              <option value="1">One</option>
              <option value="2">Two</option>
              <option value="3">Three</option>
            </optgroup>
            <optgroup label="Label 2">
              <option value="4">Four</option>
              <option value="5">Five</option>
              <option value="6">Six</option>
            </optgroup>
          </select>
          
        
    

Multiselect with icons

Add icon data attribute to the specific options to display the option icon.

        
            
          <select class="select" multiple>
            <option value="1" data-mdb-icon="https://mdbcdn.b-cdn.net/img/Photos/Avatars/avatar-1.webp">One</option>
            <option value="2" data-mdb-icon="https://mdbcdn.b-cdn.net/img/Photos/Avatars/avatar-2.webp">Two</option>
            <option value="3" data-mdb-icon="https://mdbcdn.b-cdn.net/img/Photos/Avatars/avatar-3.webp">Three</option>
            <option value="4" data-mdb-icon="https://mdbcdn.b-cdn.net/img/Photos/Avatars/avatar-4.webp">Four</option>
            <option value="5" data-mdb-icon="https://mdbcdn.b-cdn.net/img/Photos/Avatars/avatar-5.webp">Five</option>
          </select>
          
        
    

Validation

Set validation option to true to enable component validation. The validFeedback and invalidFeedback options allow to modify the validation messages.

        
            
          <form class="needs-validation" novalidate>
            <select class="select" multiple id="basic-select" data-mdb-validation="true"
              data-mdb-valid-feedback="This value is valid" data-mdb-invalid-feedback="This value is invalid"
              data-mdb-clear-button="true">
              <option value="1">One</option>
              <option value="2">Two</option>
              <option value="3">Three</option>
              <option value="4">Four</option>
              <option value="5">Five</option>
              <option value="6">Six</option>
              <option value="7">Seven</option>
              <option value="8">Eight</option>
            </select>
            <button type="submit" id="submit" class="btn btn-primary btn-sm mt-3">
              Submit
            </button>
          </form>
          
        
    
        
            
          (() => {
          'use strict';

          // Fetch all the forms we want to apply custom Bootstrap validation styles to
          const forms = document.querySelectorAll('.needs-validation');

          // Loop over them and prevent submission
          Array.prototype.slice.call(forms).forEach((form) => {
          form.addEventListener('submit', (event) => {
          event.preventDefault();
          event.stopPropagation();

          form.classList.add('was-validated');
          },false);
          });
          })();

Multiselect

React Bootstrap Multiselect - free examples, templates & tutorial

Responsive React Multiselect built with Bootstrap 5. Examples of multiselect dropdown with checkbox, listbox, search, buttons, groups, icons, validation, disabled

Unlike a standard Select, multiselect allows the user to select multiple options at once.

Note: To learn more about Select component and see all available options, methods, events and advanced usage - read Select Docs & API section


Basic example

Add multiple attribute to the select element to activate multiple mode.

Note: This component requires MDBootstrap Pro package.

        
            
              import React from 'react';
              import { MDBSelect } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <MDBSelect
                    data={[
                      { text: 'One' },
                      { text: 'Two' },
                      { text: 'Three' },
                      { text: 'Four' },
                      { text: 'Five' },
                      { text: 'Six' },
                      { text: 'Seven' },
                      { text: 'Eight' },
                    ]}
                    multiple
                  />
                );
              }
            
        
    

Multiselect with icons

Add icon data attribute to the specific options to display the option icon.

        
            
              import React from 'react';
              import { MDBSelect } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <MDBSelect
                    multiple
                    data={[
                      {
                        text: 'One',
                        icon: 'https://mdbootstrap.com/img/Photos/Avatars/avatar-1.webp',
                      },
                      {
                        text: 'Two',
                        icon: 'https://mdbootstrap.com/img/Photos/Avatars/avatar-2.webp',
                      },
                      {
                        text: 'Three',
                        icon: 'https://mdbootstrap.com/img/Photos/Avatars/avatar-3.webp',
                      },
                      {
                        text: 'Four',
                        icon: 'https://mdbootstrap.com/img/Photos/Avatars/avatar-4.webp',
                      },
                      {
                        text: 'Five',
                        icon: 'https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp',
                      },
                    ]}
                  />
                );
              }
            
        
    

Validation

Set validation option to true to enable component validation. The validFeedback and invalidFeedback options allow to modify the validation messages.

        
            
              import React from 'react';
              import { MDBSelect, MDBValidation } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <MDBValidation>
                    <MDBSelect
                      data={[
                        { text: 'One', value: 1 },
                        { text: 'Two', value: 2 },
                        { text: 'Three', value: 3 },
                        { text: 'Four', value: 4 },
                        { text: 'Five', value: 5 },
                        { text: 'Six', value: 6 },
                        { text: 'Seven', value: 7 },
                        { text: 'Eight', value: 8 },
                      ]}
                      clearBtn
                      validation
                      validFeedback='This value is valid'
                      invalidFeedback='This value is invalid'
                    />
                    <MDBBtn size='sm' className='mt-3' type='submit'>
                      Submit
                    </MDBBtn>
                  </MDBValidation>
                );
              }

Multiselect

Angular Bootstrap Multiselect - free examples, templates & tutorial

Responsive Angular Multiselect built with Bootstrap 5. Examples of multiselect dropdown with checkbox, listbox, search, buttons, groups, icons, validation, disabled

Unlike a standard Select, multiselect allows the user to select multiple options at once.

Note: To learn more about Select component and see all available options, methods, events and advanced usage - read Select Docs & API section


Basic example

Add multiple attribute to the select element to activate multiple mode.

Note: This component requires MDBootstrap Pro package.

        
            
          <mdb-form-control>
            <mdb-select [multiple]="true">
              <mdb-select-all-option>Select all</mdb-select-all-option>
              <mdb-option *ngFor="let option of options" [value]="option.value">{{
                option.label
              }}</mdb-option>
            </mdb-select>
            <label mdbLabel class="form-label">Example label</label>
          </mdb-form-control>
          
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss']
          })
          export class AppComponent {
            title = 'mdb-angular-ui-kit-free';
            
            options = [
              { value: '1', label: 'One' },
              { value: '2', label: 'Two' },
              { value: '3', label: 'Three' },
              { value: '4', label: 'Four' },
              { value: '5', label: 'Five' },
              { value: '6', label: 'Six' },
              { value: '7', label: 'Seven' },
              { value: '8', label: 'Eight' },
            ];
          }
          
        
    

Multiselect with icons

Add icon data attribute to the specific options to display the option icon.

        
            
          <mdb-form-control>
            <mdb-select [multiple]="true">
              <mdb-select-all-option>Select all</mdb-select-all-option>
              <mdb-option *ngFor="let option of options" [value]="option.value">{{
                option.label
              }}
              <span class="option-icon-container">
                <img class="option-icon rounded-circle" [src]="option.icon" />
              </span>
              </mdb-option>
            </mdb-select>
            <label mdbLabel class="form-label">Example label</label>
          </mdb-form-control>
          
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss']
          })
          export class AppComponent {
            title = 'mdb-angular-ui-kit-free';
            
            options = [
                { value: '1', label: 'One', icon: 'https://mdbootstrap.com/img/Photos/Avatars/avatar-1.jpg' },
                { value: '2', label: 'Two', icon: 'https://mdbootstrap.com/img/Photos/Avatars/avatar-2.jpg' },
                { value: '3', label: 'Three', icon: 'https://mdbootstrap.com/img/Photos/Avatars/avatar-3.jpg' },
                { value: '4', label: 'Four', icon: 'https://mdbootstrap.com/img/Photos/Avatars/avatar-4.jpg' },
                { value: '5', label: 'Five', icon: 'https://mdbootstrap.com/img/Photos/Avatars/avatar-5.jpg' },
                { value: '6', label: 'Six', icon: 'https://mdbootstrap.com/img/Photos/Avatars/avatar-6.jpg' },
                { value: '7', label: 'Seven', icon: 'https://mdbootstrap.com/img/Photos/Avatars/avatar-7.jpg' },
                { value: '8', label: 'Eight', icon: 'https://mdbootstrap.com/img/Photos/Avatars/avatar-8.jpg' },
            ];
          }
          
        
    

Validation

Set validation option to true to enable component validation. The validFeedback and invalidFeedback options allow to modify the validation messages.

        
            
          <form [formGroup]="validationForm" (ngSubmit)="onSubmit()">
            <div class="mb-3 pb-1">
              <mdb-form-control>
                <mdb-select
                  mdbValidate
                  [multiple]="true"
                  [required]="true"
                  formControlName="select"
                >
                  <mdb-select-all-option>Select all</mdb-select-all-option>
                  <mdb-option *ngFor="let option of options" [value]="option.value">{{
                    option.label
                  }}</mdb-option>
                </mdb-select>
                <label mdbLabel class="form-label">Example label</label>
                <mdb-error *ngIf="select?.invalid && (select?.dirty || select?.touched)"
                  >Input invalid</mdb-error
                >
                <mdb-success *ngIf="select?.valid && (select?.dirty || select?.touched)"
                  >Input valid</mdb-success
                >
              </mdb-form-control>
              <button type="submit" class="btn btn-primary mt-4">Submit</button>
            </div>
          </form>
          
        
    
        
            
          import { Component } from '@angular/core';
          import { AbstractControl, FormControl, FormGroup, Validators } from '@angular/forms';
          
          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss']
          })
          export class AppComponent {
            title = 'mdb-angular-ui-kit-free';
            
            options = [
              { value: '1', label: 'One' },
              { value: '2', label: 'Two' },
              { value: '3', label: 'Three' },
              { value: '4', label: 'Four' },
              { value: '5', label: 'Five' },
              { value: '6', label: 'Six' },
              { value: '7', label: 'Seven' },
              { value: '8', label: 'Eight' },
            ];
          
            constructor() {
              this.validationForm = new FormGroup({
                select: new FormControl(null, { validators: Validators.required, updateOn: 'submit' })
              });
            }
          
            get select(): AbstractControl {
              return this.validationForm.get('select')!;
            }
          
            onSubmit(): void {
              this.validationForm.markAllAsTouched();
            }
          }

Multiselect

Vue Bootstrap Multiselect - free examples, templates & tutorial

Responsive Vue Multiselect built with Bootstrap 5. Examples of multiselect dropdown with checkbox, listbox, search, buttons, groups, icons, validation, disabled

Unlike a standard Select, multiselect allows the user to select multiple options at once.

Note: To learn more about Select component and see all available options, methods, events and advanced usage - read Select Docs & API section


Basic example

Add multiple attribute to the select element to activate multiple mode.

Note: This component requires MDBootstrap Pro package.

        
            
          <template>
            <MDBSelect
              v-model:options="options2"
              v-model:selected="selected2"
              multiple
              label="Example label"
            />
            </template>
          
        
    
        
            
          <script>
            import { MDBSelect } from "mdb-vue-ui-kit";
            import { ref } from "vue";
            export default {
              components: {
                MDBSelect
              },
              setup() {
                const options2 = ref([
                  { text: "One", value: 1 },
                  { text: "Two", value: 2 },
                  { text: "Three", value: 3 },
                  { text: "Four", value: 4 },
                  { text: "Five", value: 5 },
                  { text: "Six", value: 6 },
                  { text: "Seven", value: 7 },
                  { text: "Eight", value: 8 }
                ]);
                const selected2 = ref([]);
                return {
                  options2,
                  selected2
                };
              }
            };
          </script>
          
        
    

Multiselect with icons

Add icon data attribute to the specific options to display the option icon.

        
            
          <template>
            <MDBSelect v-model:options="options15" />
          </template>
          
        
    
        
            
          <script>
            import { MDBSelect } from "mdb-vue-ui-kit";
            import { ref } from "vue";
            export default {
              components: {
                MDBSelect
              },
              setup() {
                const options15 = ref([
                  {
                    text: "One",
                    value: 1,
                    icon: "https://mdbootstrap.com/img/Photos/Avatars/avatar-1.webp"
                  },
                  {
                    text: "Two",
                    value: 2,
                    icon: "https://mdbootstrap.com/img/Photos/Avatars/avatar-2.webp"
                  },
                  {
                    text: "Three",
                    value: 3,
                    icon: "https://mdbootstrap.com/img/Photos/Avatars/avatar-3.webp"
                  },
                  {
                    text: "Four",
                    value: 4,
                    icon: "https://mdbootstrap.com/img/Photos/Avatars/avatar-4.webp"
                  },
                  {
                    text: "Five",
                    value: 5,
                    icon: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp"
                  }
                ]);
                return {
                  options15
                };
              }
            };
          </script>
          
        
    

Validation

Set validation option to true to enable component validation. The validFeedback and invalidFeedback options allow to modify the validation messages.

        
            
          <template>
            <MDBSelect
              v-model:options="options8"
              v-model:selected="selected8"
              clearButton
              :isValidated="isValidated"
              :isValid="isValid"
              required
              validFeedback="This value is valid"
              invalidFeedback="This value is invalid"
              @change="validate"
            />
            <MDBBtn
              @click="
                validate();
                isValidated = true;
              "
              color="primary"
              size="sm"
              class="mt-3"
            >
              Submit
            </MDBBtn>
          </template>
          
        
    
        
            
          <script>
            import { MDBSelect, MDBBtn } from "mdb-vue-ui-kit";
            import { ref } from "vue";
            export default {
              components: {
                MDBSelect,
                MDBBtn
              },
              setup() {
                const options8 = ref([
                  { text: "One", value: 1 },
                  { text: "Two", value: 2 },
                  { text: "Three", value: 3 },
                  { text: "Four", value: 4 },
                  { text: "Five", value: 5 }
                ]);
                const selected8 = ref("");
                const isValidated = ref(false);
                const isValid = ref(false);
                const validate = () => {
                  if (selected8.value === "") {
                    isValid.value = false;
                  } else {
                    isValid.value = true;
                  }
                };
                return {
                  options8,
                  selected8,
                  isValid,
                  isValidated,
                  validate
                };
              }
            };
          </script>